# module ActiveRecord::ConnectionAdapters::ColumnMethods

### Public Instance Methods

primary_key(name, type = :primary_key, **options) click to toggle source

Appends a primary key definition to the table definition. Can be called multiple times, but this is probably not a good idea.

    # File lib/active_record/connection_adapters/abstract/schema_definitions.rb, line 161
    def primary_key(name, type = :primary_key, **options)
      column(name, type, options.merge(primary_key: true))
    end